%define		gst_ver	1.22.0
%define		pname	gst-python
Summary:	GStreamer Python 3 bindings
Summary(pl.UTF-8):	Wiązania języka Python 3 do GStreamera
Name:		python3-gstreamer
Version:	1.22.6
Release:	1
License:	LGPL v2+
Group:		Libraries/Python
Source0:	https://gstreamer.freedesktop.org/src/gst-python/%{pname}-%{version}.tar.xz
# Source0-md5:	b0786dc724607ab5a42b9a57c61797d5
Patch0:		%{name}-nosegv.patch
URL:		https://gstreamer.freedesktop.org/modules/gst-python.html
BuildRequires:	gstreamer-devel >= %{gst_ver}
BuildRequires:	meson >= 0.62
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-pygobject3-devel >= 3.8
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gstreamer >= %{gst_ver}
Requires:	python3-pygobject3 >= 3.8
Obsoletes:	python-gstreamer-devel < 1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GStreamer Python 3 bindings.

%description -l pl.UTF-8
Wiązania języka Python 3 do GStreamera.

%package -n gstreamer-python3
Summary:	GStreamer plugin to load plugins written in Python 3
Summary(pl.UTF-8):	Wtyczka GStreamera do wczytywania wtyczek napisanych w Pythonie 3
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
# gstreamer 1.18+ doesn't support python2 anymore
Obsoletes:	gstreamer-python < 1.18

%description -n gstreamer-python3
GStreamer plugin to load plugins written in Python 3.

%description -n gstreamer-python3 -l pl.UTF-8
Wtyczka GStreamera do wczytywania wtyczek napisanych w Pythonie 3.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%meson build \
	--default-library=shared \
	-Dpygi-overrides-dir=%{py3_sitedir}/gi/overrides

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}

install -d $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/python

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS RELEASE TODO
%attr(755,root,root) %{py3_sitedir}/gi/overrides/_gi_gst.cpython-*.so
%{py3_sitedir}/gi/overrides/Gst.py
%{py3_sitedir}/gi/overrides/GstAudio.py
%{py3_sitedir}/gi/overrides/GstPbutils.py
%{py3_sitedir}/gi/overrides/GstVideo.py
%{py3_sitedir}/gi/overrides/__pycache__/Gst.*.py[co]
%{py3_sitedir}/gi/overrides/__pycache__/GstAudio.*.py[co]
%{py3_sitedir}/gi/overrides/__pycache__/GstPbutils.*.py[co]
%{py3_sitedir}/gi/overrides/__pycache__/GstVideo.*.py[co]

%files -n gstreamer-python3
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstpython.so
%dir %{_libdir}/gstreamer-1.0/python
%changelog
* Sun Oct 22 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-gstreamer.git;a=log;h=master

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 2f5c205
- updated to 1.22.6

* Sun Jul 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 2fcdc68
- updated to 1.22.5

* Sat Apr 15 2023 Jakub Bogusz <qboosh@pld-linux.org> d5eb50c
- updated to 1.22.2

* Mon Jan 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 889df6a
- updated to 1.20.5

* Sat Jun 25 2022 Jakub Bogusz <qboosh@pld-linux.org> fe0513c
- updated to 1.20.3

* Tue May 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 5059634
- updated to 1.20.2

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 0860a27
- force arch-specific overrides dir to fix build with PLD python 3.10

* Sat Apr 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 17437ed
- updated to 1.20.1

* Sun Oct 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 8a05781
- python-gstreamer.spec updated to 1.18.5, now python3 only

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 3b02dfb
- updated to 1.16.3
- removed obsolete python-3.8 patch

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> fe66923
- release 2 (by relup.sh)

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 73b169f
- updated to 1.16.2

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> ea3be36
- fix building with python 3.8
- rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 9afa53a
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Jun 07 2019 Bartek Szady <bszx@bszx.eu> 147ee4d
- updated to 1.16.0

* Wed Mar 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 6b9602b
- updated dependencies

* Wed Dec 26 2018 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 6532372
- Updated to 1.14.4

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c665c5b
- release 3 (by relup.sh)

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> 68628e3
- release 2 (by relup.sh)

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 206bab1
- updated to 1.12.4

